Bug 164049 - 2 * local variable used before set
2 * local variable used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-23 07:03 EDT by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.8.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-24 13:13:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-07-23 07:03:57 EDT
Description of problem:
Hello there,

I just tried to compile Redhat Fedora package
glib2-2.7.1-1 with the Intel C compiler version 8.1

The compiler said

gfileutils.c(1698): remark #592: variable "va_args" is used before its value is
set

The source code is

  va_list va_args;

  if (!args)
    return NULL;

  return g_build_path_va (separator, NULL, va_args, args);

Suggest initialise local variable "va_args" before first use.

2.

gfileutils.c(1890): remark #592: variable "va_args" is used before its value is
set

Duplicate.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.